## TrackerPower TrackerPower |

## Synopsis

                        TrackerPower;
                        TrackerPowerClass;
    TrackerPower *      tracker_power_new                   (void);
    gboolean            tracker_power_get_on_battery        (TrackerPower *power);
    gboolean            tracker_power_get_on_low_battery    (TrackerPower *power);
    gdouble             tracker_power_get_battery_percentage
                                                            (TrackerPower *power);

## Description

## Details

### TrackerPower

    typedef struct {
    	GObject parent;
    } TrackerPower;

### TrackerPowerClass

    typedef struct {
    	GObjectClass parent_class;
    } TrackerPowerClass;

### tracker_power_new ()

    TrackerPower *      tracker_power_new                   (void);

Creates a new instance of TrackerPower.

Returns : | The newly created TrackerPower.

### tracker_power_get_on_battery ()

    gboolean            tracker_power_get_on_battery        (TrackerPower *power);

`power` : |
Returns : |

### tracker_power_get_on_low_battery ()

    gboolean            tracker_power_get_on_low_battery    (TrackerPower *power);

Returns whether the computer has batteries.

`power` : | A TrackerPower
Returns : | TRUE if the computer has batteries available.

### tracker_power_get_battery_percentage ()

    gdouble             tracker_power_get_battery_percentage
                                                            (TrackerPower *power);

Returns the percentage of battery power available.

`power` : | A TrackerPower
Returns : | gdouble representing the percentage between 0.0 and 1.0.